aboutsummaryrefslogtreecommitdiff
path: root/packages/demobank-ui/remove-link-stylesheet.sh
diff options
context:
space:
mode:
Diffstat (limited to 'packages/demobank-ui/remove-link-stylesheet.sh')
-rwxr-xr-xpackages/demobank-ui/remove-link-stylesheet.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/packages/demobank-ui/remove-link-stylesheet.sh b/packages/demobank-ui/remove-link-stylesheet.sh
new file mode 100755
index 000000000..d3376b8e6
--- /dev/null
+++ b/packages/demobank-ui/remove-link-stylesheet.sh
@@ -0,0 +1,8 @@
+# This script has been placed in the public domain.
+
+FILE=$(ls build/bundle.*.css)
+BUNDLE=${FILE#build}
+grep -q '<link href="'$BUNDLE'" rel="stylesheet">' build/index.html || { echo bundle $BUNDLE not found in index.html; exit 1; }
+echo -n Removing link from index.html ...
+sed 's_<link href="'$BUNDLE'" rel="stylesheet">__' -i build/index.html
+echo done